All the custom IP blocks used in the various block designs. It would be a good practice to re-package the IP when modifying the code so that the code and IP block are the same. For every small change, there is no need to create a new folder, but rather modify the current one (e.g. 1.4->1.5). If major changes are made in a block, then a new packetised version (e.g. 1.5->2.0) along with the source code and testbenches should be added in a new folder. 
